Bug 10761 - patch: some cleanups for /etc/rc.d/init.d/functions
Summary: patch: some cleanups for /etc/rc.d/init.d/functions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-12 19:54 UTC by Michael Tokarev
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-12 19:56:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cleanup diff for /etc/rc.d/init.d/functions (8.10 KB, patch)
2000-04-12 19:55 UTC, Michael Tokarev
no flags Details | Diff

Description Michael Tokarev 2000-04-12 19:54:32 UTC
What is done here:

pidofproc():
  - return only existing pids
  - allow only digits in /var/run/*.pid
  - cleanups
  - remove one level of indirection in `pidof` (` removed)
  - use local variables (do not clash with maybe existing ones)
  - remove (redundrant?) syntax check
  - use basename($1) for /var/run/*.pid (as bash ${var##*/})

status():
  - some little cleanups
  - use local pid

confirm():
  - cleanup
  - avoid recursion

daemon():
  - cleanups
  - use local variables
  - allow --user=arg, --check=arg
  - allow --bg (--background) for daemon (adds & to the end of command)
      but this should be checked with --user...

etc

Comment 1 Michael Tokarev 2000-04-12 19:55:59 UTC
Created attachment 197 [details]
cleanup diff for /etc/rc.d/init.d/functions

Comment 2 Bill Nottingham 2001-01-30 22:52:31 UTC
Various of these will be in initscripts-5.60-1; thanks!


Note You need to log in before you can comment on or make changes to this bug.